Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache.change
Class NodeSequenced

    java.lang.Object
      org.modeshape.jcr.cache.change.Change
          org.modeshape.jcr.cache.change.AbstractNodeChange
              org.modeshape.jcr.cache.change.AbstractSequencingChange
                  org.modeshape.jcr.cache.change.NodeSequenced

    public class NodeSequenced

extends AbstractSequencingChange

Change which is triggered after the sequencing process of a node is finished.

Field Summary

Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange
`path`

Constructor Summary
`NodeSequenced(NodeKey sequencedNodeKey, Path sequencedNodePath, NodeKey outputNodeKey, Path outputNodePath, String outputPath, String userId, String selectedPath, String sequencerName)`

Method Summary
`NodeKey` | `getOutputNodeKey()` Get the key of the top-level node that was output by the sequencer.
`Path` | `getOutputNodePath()` Get the path of the top-level node that was output by the sequencer.
`String` | `toString()`

Methods inherited from class org.modeshape.jcr.cache.change.AbstractSequencingChange
`getOutputPath, getSelectedPath, getSequencerName, getUserId`

Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange
`getKey, getPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeSequenced

    public NodeSequenced(NodeKey sequencedNodeKey,
                         Path sequencedNodePath,
                         NodeKey outputNodeKey,
                         Path outputNodePath,
                         String outputPath,
                         String userId,
                         String selectedPath,
                         String sequencerName)

Method Detail

### getOutputNodeKey

    public NodeKey getOutputNodeKey()

  Get the key of the top-level node that was output by the sequencer.

  Returns:
    the output node key; never null

### getOutputNodePath

    public Path getOutputNodePath()

  Get the path of the top-level node that was output by the sequencer.

  Returns:
    the output node path; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.